<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new row iterator.">
            <span class="description">Create a new row iterator.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method___destruct" title="__destruct ::Destructor.">
            <span class="description">Destructor.</span><pre>__destruct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_current" title="current ::Return the current cell in this worksheet column.">
            <span class="description">Return the current cell in this worksheet column.</span><pre>current</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIterateOnlyExistingCells" title="getIterateOnlyExistingCells ::Get loop only existing cells.">
            <span class="description">Get loop only existing cells.</span><pre>getIterateOnlyExistingCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_key" title="key ::Return the current iterator key.">
            <span class="description">Return the current iterator key.</span><pre>key</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_next" title="next ::Set the iterator to its next value.">
            <span class="description">Set the iterator to its next value.</span><pre>next</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_prev" title="prev ::Set the iterator to its previous value.">
            <span class="description">Set the iterator to its previous value.</span><pre>prev</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_resetEnd" title="resetEnd ::(Re)Set the end row.">
            <span class="description">(Re)Set the end row.</span><pre>resetEnd</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_resetStart" title="resetStart ::(Re)Set the start row and the current row pointer.">
            <span class="description">(Re)Set the start row and the current row pointer.</span><pre>resetStart</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_rewind" title="rewind ::Rewind the iterator to the starting row.">
            <span class="description">Rewind the iterator to the starting row.</span><pre>rewind</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_seek" title="seek ::Set the row pointer to the selected row.">
            <span class="description">Set the row pointer to the selected row.</span><pre>seek</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setIterateOnlyExistingCells" title="setIterateOnlyExistingCells ::Set the iterator to loop only existing cells.">
            <span class="description">Set the iterator to loop only existing cells.</span><pre>setIterateOnlyExistingCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_valid" title="valid ::Indicate if more rows exist in the worksheet range of rows that we&#039;re iterating.">
            <span class="description">Indicate if more rows exist in the worksheet range of rows that we&#039;re iterating.</span><pre>valid</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected inherited">
                            <a href="#method_adjustForExistingOnlyRange" title="adjustForExistingOnlyRange ::Validate start/end values for &quot;IterateOnlyExistingCells&quot; mode, and adjust if necessary.">
                                <span class="description">Validate start/end values for &quot;IterateOnlyExistingCells&quot; mode, and adjust if necessary.</span><pre>adjustForExistingOnlyRange</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>ColumnCellIterator</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.CellIterator.html">\PhpOffice\PhpSpreadsheet\Worksheet\CellIterator</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new row iterator.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $subject = null,string $columnIndex = &#039;A&#039;,integer $startRow = 1,integer $endRow = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$subject</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p><p>The worksheet to iterate over</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$columnIndex</h4>
                                                <code>string</code><p><p>The column that we want to iterate</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$startRow</h4>
                                                <code>integer</code><p><p>The row number at which to start iterating</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endRow</h4>
                                                <code>integer</code><p><p>Optionally, the row number at which to stop iterating</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method___destruct"></a>
                        <div class="element clickable methodpublic method___destruct inherited" data-toggle="collapse" data-target=".method___destruct .collapse">
                            <h2>Destructor.</h2>
                            <pre>__destruct()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_adjustForExistingOnlyRange"></a>
                        <div class="element clickable methodprotected method_adjustForExistingOnlyRange inherited" data-toggle="collapse" data-target=".method_adjustForExistingOnlyRange .collapse">
                            <h2>Validate start/end values for &quot;IterateOnlyExistingCells&quot; mode, and adjust if necessary.</h2>
                            <pre>adjustForExistingOnlyRange()</pre>
                            <div class="labels"><span class="label">inherited</span><span class="label">abstract</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_current"></a>
                        <div class="element clickable methodpublic method_current" data-toggle="collapse" data-target=".method_current .collapse">
                            <h2>Return the current cell in this worksheet column.</h2>
                            <pre>current(): null|\PhpOffice\PhpSpreadsheet\Cell\Cell</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>null|\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIterateOnlyExistingCells"></a>
                        <div class="element clickable methodpublic method_getIterateOnlyExistingCells inherited" data-toggle="collapse" data-target=".method_getIterateOnlyExistingCells .collapse">
                            <h2>Get loop only existing cells.</h2>
                            <pre>getIterateOnlyExistingCells(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_key"></a>
                        <div class="element clickable methodpublic method_key" data-toggle="collapse" data-target=".method_key .collapse">
                            <h2>Return the current iterator key.</h2>
                            <pre>key(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_next"></a>
                        <div class="element clickable methodpublic method_next" data-toggle="collapse" data-target=".method_next .collapse">
                            <h2>Set the iterator to its next value.</h2>
                            <pre>next()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_prev"></a>
                        <div class="element clickable methodpublic method_prev" data-toggle="collapse" data-target=".method_prev .collapse">
                            <h2>Set the iterator to its previous value.</h2>
                            <pre>prev()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_resetEnd"></a>
                        <div class="element clickable methodpublic method_resetEnd" data-toggle="collapse" data-target=".method_resetEnd .collapse">
                            <h2>(Re)Set the end row.</h2>
                            <pre>resetEnd(integer $endRow = null): \PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$endRow</h4>
                                                <code>integer</code><p><p>The row number at which to stop iterating</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html">\PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_resetStart"></a>
                        <div class="element clickable methodpublic method_resetStart" data-toggle="collapse" data-target=".method_resetStart .collapse">
                            <h2>(Re)Set the start row and the current row pointer.</h2>
                            <pre>resetStart(integer $startRow = 1): \PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startRow</h4>
                                                <code>integer</code><p><p>The row number at which to start iterating</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html">\PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_rewind"></a>
                        <div class="element clickable methodpublic method_rewind" data-toggle="collapse" data-target=".method_rewind .collapse">
                            <h2>Rewind the iterator to the starting row.</h2>
                            <pre>rewind()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_seek"></a>
                        <div class="element clickable methodpublic method_seek" data-toggle="collapse" data-target=".method_seek .collapse">
                            <h2>Set the row pointer to the selected row.</h2>
                            <pre>seek(integer $row = 1): \PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$row</h4>
                                                <code>integer</code><p><p>The row number to set the current pointer at</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html">\PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIterateOnlyExistingCells"></a>
                        <div class="element clickable methodpublic method_setIterateOnlyExistingCells inherited" data-toggle="collapse" data-target=".method_setIterateOnlyExistingCells .collapse">
                            <h2>Set the iterator to loop only existing cells.</h2>
                            <pre>setIterateOnlyExistingCells(boolean $value)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_valid"></a>
                        <div class="element clickable methodpublic method_valid" data-toggle="collapse" data-target=".method_valid .collapse">
                            <h2>Indicate if more rows exist in the worksheet range of rows that we&#039;re iterating.</h2>
                            <pre>valid(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_currentRow"> </a>
                            <div class="element clickable propertyprivate property_currentRow" data-toggle="collapse" data-target=".property_currentRow .collapse">
                                <h2>Current iterator position.</h2>
                                <pre>currentRow :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_columnIndex"> </a>
                            <div class="element clickable propertyprivate property_columnIndex" data-toggle="collapse" data-target=".property_columnIndex .collapse">
                                <h2>Column index.</h2>
                                <pre>columnIndex :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_startRow"> </a>
                            <div class="element clickable propertyprivate property_startRow" data-toggle="collapse" data-target=".property_startRow .collapse">
                                <h2>Start position.</h2>
                                <pre>startRow :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_endRow"> </a>
                            <div class="element clickable propertyprivate property_endRow" data-toggle="collapse" data-target=".property_endRow .collapse">
                                <h2>End position.</h2>
                                <pre>endRow :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_worksheet"> </a>
                            <div class="element clickable propertyprotected property_worksheet inherited" data-toggle="collapse" data-target=".property_worksheet .collapse">
                                <h2>Worksheet to iterate.</h2>
                                <pre>worksheet :\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code>                                    </div>
                                </div>
                            </div>                            <a id="property_onlyExistingCells"> </a>
                            <div class="element clickable propertyprotected property_onlyExistingCells inherited" data-toggle="collapse" data-target=".property_onlyExistingCells .collapse">
                                <h2>Iterate only existing cells.</h2>
                                <pre>onlyExistingCells :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\ColumnCellIterator"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html">ColumnCellIterator</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:52 +0000.<br/>
    </footer></body>
</html>
